Bug 845015 - Please rename to rubygem-ruby-hmac
Please rename to rubygem-ruby-hmac
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: rubygem-hmac (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Chris Lalancette
Fedora Extras Quality Assurance
:
Depends On: 845342
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-01 09:32 EDT by Bohuslav "Slavek" Kabrda
Modified: 2012-08-13 03:39 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-08 10:18:10 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bohuslav "Slavek" Kabrda 2012-08-01 09:32:44 EDT
Hi,
I would like to ask you to rename rubygem-hmac to rubygem-ruby-hmac. The name is inconsistent with the original gem name "ruby-hmac" and therefore causes problems, when other packages expect it to provide rubygem(ruby-hmac) - I'm currently having this problem with rubygem-fog in Rawhide.
Also, there is no rule that would say that rubygem packages should drop "ruby" from their name.

Thanks!
Comment 1 Mo Morsi 2012-08-02 14:07:01 EDT
Submitted new package, diff:

[mmorsi@localhost rubygem-hmac]$ git diff
diff --git a/rubygem-hmac.spec b/rubygem-hmac.spec
index 94194f8..132d222 100644
--- a/rubygem-hmac.spec
+++ b/rubygem-hmac.spec
@@ -2,9 +2,9 @@
 %global gem_name ruby-hmac
 
 Summary: This module provides common interface to HMAC functionality
-Name: rubygem-hmac
+Name: rubygem-%{gem_name}
 Version: 0.4.0
-Release: 5%{?dist}
+Release: 6%{?dist}
 Group: Development/Languages
 License: MIT and Ruby
 URL: http://ruby-hmac.rubyforge.org
@@ -15,6 +15,7 @@ BuildRequires: ruby
 BuildRequires: rubygems-devel
 BuildRequires: rubygem(minitest)
 BuildArch: noarch
+Provides: rubygem(%{gem_name}) = %{version}
 Provides: rubygem(hmac) = %{version}
 
 %description
@@ -58,6 +59,9 @@ popd
 
 
 %changelog
+* Thu Aug 02 2012 Mo Morsi <mmorsi@redhat.com> - 0.4.0-6
+- renamed rubygem-hmac to rubygem-ruby-hmac
+
 * Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.0-5
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild
 

[mmorsi@localhost rubygem-hmac]$
Comment 2 Mo Morsi 2012-08-08 10:18:10 EDT
rubygem-ruby-hmac has been imported / build for rawhide and rubygem-hmac has been retired there as well
Comment 3 Bohuslav "Slavek" Kabrda 2012-08-13 03:39:53 EDT
Thank you!

Note You need to log in before you can comment on or make changes to this bug.